# README for "send_import_passwords" script

The script `/usr/sbin/send_import_passwords` reads password lists created by
the UCS@school import and generates emails with CSV attachments from them.

For each school membership found in the input file, a separate CSV file will
be created, containing only users of that school, and sent via email.

Password CSV files created by the UCS@school import can typically be found
either at `/var/lib/ucs-school-import/jobs/*/*/new_user_passwords.csv`
or at a self defined position (configuration key 'output:new_user_passwords').

The addresses to send emails to are read from a separate CSV file. The files
default path is `/var/lib/ucs-school-import/configs/school-to-email.csv`, but
if a different path can be configured using the command line argument '-e'.
The CSV file must contain a header with column names and two columns named
'Dienststellennummer' (containing OU names) and 'E-Mail' (containing the
address to send an email for the OU to).

The 'send_import_passwords' script can be configured through command line
arguments:

------------------------------------------------------------------------------
## /usr/sbin/send_import_passwords --help
Usage: send_import_passwords [OPTIONS] PASSWORD_FILE

Options:
  -n, --dry-run                   Simulation only, no email will be sent.
                                  [default: False]
  -f, --from-address TEXT         Sender address for emails.  [default:
                                  systemmail@FQDN]
  -k, --keep-temp-files           Do not delete CSV files generated for emails
                                  after sending them.  [default: False]
  -s, --school TEXT               School (OU) for which to send passwords for.
                                  Can be specified multiple times (-s abc -s
                                  def). [default: emails will be sent for all
                                  schools found in the CSV file.]
  -e, --school-to-email-file PATH
                                  CSV file that contains column
                                  'Dienststellennummer' with OUs and 'E-Mail'
                                  with recipients. [default: '/var/lib/ucs-
                                  school-import/configs/school-to-email.csv']
  --help                          Show this message and exit.
------------------------------------------------------------------------------

-n, --dry-run: Run the complete script, except actually sending the emails.

-f, --from-address: The address to use in the 'From:' email header.

-k, --keep-temp-files: The CSV files attached to emails are automatically
                       deleted after the emails are sent. If enabled, this
                       option prevents the deletion and prints the file system
                       location.

-s, --school: If emails should not be sent to all schools found in the CSV
              file, a selection can be made throuth this switch. If for example
              mails should only be created for the schools (OUs) 'demoschool'
              and 'testschule', then the command line would be:

## send_import_passwords -s demoschool -s testschule new_user_passwords.csv

-e, --school-to-email-file: Alternative path to the file containing the email
                            address for each school (OU).
